import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/operate/page`,
    method: 'post',
    data
  })
}

// 新增 编辑
export function submit(data) {
  return request({
    url: `/admin/operate/saveOrUpdate`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/operate/getBullframeById/${id}`,
    method: 'get'
  })
}

// 上下架 删除
export function change(id, status) {
  return request({
    url: `/admin/operate/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}